import datetime
import pendulum
import pytest
import warnings
from sqlalchemy import exc as sa_exc

from workspaces.capability.schema import CapabilityExecution


def test_capability_execution_ordering():
    with warnings.catch_warnings():
        # suppress SQLAlchemy warnings
        warnings.simplefilter("ignore", category=sa_exc.SAWarning)

        """Ensure that capability executions can be ordered (because they are placed in a queue)"""
        cx1 = CapabilityExecution(created_at=pendulum.now())
        cx2 = CapabilityExecution(created_at=pendulum.now().add(seconds=1))
    assert cx1 < cx2
